cancel
Showing results for 
Search instead for 
Did you mean: 

PHP error “Unable to connect to ssl://” after upgrade from PHP 5.5 to 5.6 in 1.9.2

PHP error “Unable to connect to ssl://” after upgrade from PHP 5.5 to 5.6 in 1.9.2

I'm having trouble with a payment method in Magento, after a upgrade of PHP from 5.5 to 5.6.

 

After the upgrade the payment method in Magento 1.9 throws an error and generates a report (see below).

My payment provider says that the payment extension uses "Zend_Http_Client transport protocol".

 

Anyone know what can cause this after the upgrade of PHP? :-(

 

a:5:{i:0;s:56:"Unable to Connect to ssl://api.payson.se:443. Error
#0: ";i:1;s:2213:"
#0 /usr/local/www/apache24/webroot/multistore/lib/Zend/Http/Client.php(1073): Zend_Http_Client_Adapter_Socket->connect('api.payson.se', 443, true)
#1 /usr/local/www/apache24/webroot/multistore/app/code/community/Payson/Payson/Helper/Api.php(1181): Zend_Http_Client->request('POST')
#2 /usr/local/www/apache24/webroot/multistore/app/code/community/Payson/Payson/Model/Method/Abstract.php(126): Payson_Payson_Helper_Api->PaymentDetails('204103')
#3 /usr/local/www/apache24/webroot/multistore/app/code/core/Mage/Sales/Model/Order/Payment.php(1152): Payson_Payson_Model_Method_Abstract->cancel(Object(Mage_Sales_Model_Order_Payment))
#4 /usr/local/www/apache24/webroot/multistore/app/code/core/Mage/Sales/Model/Order/Payment.php(865): Mage_Sales_Model_Order_Payment->_void(true, NULL, 'cancel')
#5 /usr/local/www/apache24/webroot/multistore/app/code/core/Mage/Sales/Model/Order.php(1155): Mage_Sales_Model_Order_Payment->cancel()
#6 /usr/local/www/apache24/webroot/multistore/app/code/community/Payson/Payson/controllers/CheckoutController.php(62): Mage_Sales_Model_Order->cancel()
#7 /usr/local/www/apache24/webroot/multistore/app/code/community/Payson/Payson/controllers/CheckoutController.php(92): Payson_Payson_CheckoutController->cancelOrder('Unable to Conne...')
#8 /usr/local/www/apache24/webroot/multistore/app/code/core/Mage/Core/Controller/Varien/Action.php(418): Payson_Payson_CheckoutController->redirectAction()
#9 /usr/local/www/apache24/webroot/multistore/app/code/core/Mage/Core/Controller/Varien/Router/Standard.php(254): Mage_Core_Controller_Varien_Action->dispatch('redirect')
#10 /usr/local/www/apache24/webroot/multistore/app/code/core/Mage/Core/Controller/Varien/Front.php(172): Mage_Core_Controller_Varien_Router_Standard->match(Object(Mage_Core_Controller_Request_Http))
#11 /usr/local/www/apache24/webroot/multistore/app/code/core/Mage/Core/Model/App.php(365): Mage_Core_Controller_Varien_Front->dispatch()
#12 /usr/local/www/apache24/webroot/multistore/app/Mage.php(684): Mage_Core_Model_App->run(Array)
#13 /usr/local/www/apache24/webroot/multistore/index.php(83): Mage::run('mystore', 'store')
#14 {main}";s:3:"url";s:26:"/payson/checkout/redirect/";s:11:"script_name";s:10:"/index.php";s:4:"skin";s:8:"mystore";}

 

Tags (2)
1 REPLY

Re: PHP error “Unable to connect to ssl://” after upgrade from PHP 5.5 to 5.6 in 1.9.2

 

Check the SSL module is enabled in php.ini:

 

;extension=php_openssl.dll

(remove the semicolon) and save it and restart server.

OpenSource Expert | OpenSource Technologies | www.opensourcetechnologies.com
Magento plugins released: http://www.opensourcetechnologies.com/product/product-category/magento-extensions